[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TCustomActionList.Destroy

Destructor for the class instance.

## Declaration

Source position: actnlist.pas line 104

`public destructor TCustomActionList.Destroy; override;`

## Description

Destroy is the destructor for TCustomActionList. It frees the internal TChangeLink instance used in the class, frees any class instance and resources allocated to the Actions property.

Destroy calls the inherited destructor prior to exiting from the method.

## See also

TCustomActionList.Actions |  | Provides indexed access to actions in the list by their ordinal position.
TLCLComponent.Destroy |  | Destructor for the class instance.
TChangeLink |  | Performs notifications when images are added or deleted in TImageList.